<template lang="pug">
.footer-container
  .contact
    .contact-wrapper
      .logo
        nuxt-img(@click="eggy" :src="imageUri" alt="Dragon Shooting Logo" :height="290" :width="290")
      .column
        span {{$t('footerQuestion')}}
        span {{$t('footerCall')}}
        a(href="tel:+381656135706") #[span.tel +381 (0) 65 613 5706]
        b-button.contact-button( type="is-primary") {{$t('sendMsg')}}
  footer.footer
    .container.alter
      .row
        .footer-col.quote
          div
            p.footer-quote {{$t('footerQuote')}}
            span.footer-name {{$t('brandName')}}
        .footer-col
          h4 {{$t('footerAdressTitle')}}
          div
            p {{$t('address')}}
        .footer-col
          h4 {{$t('hoursTitle')}}
          div
            p {{$t('hours')}}
            p {{$t('hoursWeekend')}}
</template>

<script>
export default {
  name: 'Footer',
  type: 'string',
  data() {
    return {
      imageUri: '/Logo.png',
      counter: 0,
    }
  },
  methods: {
    eggy() {
      this.counter += 1
      const roll = Math.floor(Math.random() * 100)
      const forceHen = this.$route.query.hentai !== undefined
      const modifier = roll === 69 || forceHen ? 'hentai' : 'quack'
      if (this.counter === 5) {
        this.imageUri = `/img/eggy/${modifier}.png`
        const audio = new Audio(`/sound/eggy/${modifier}.mp3`)
        audio.loop = false
        audio.play()
        this.$gtag('event', 'click', {event_category: 'easter_egg', event_label: 'eggy', value: modifier})
      }
    },
  },
}
</script>

<style lang="scss" scoped>
$primary: #006d77;
$bg-grey: #24252a;
$bg-light-grey: #2c3035;
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.footer {
  background-color: #24262b;
  padding: 70px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact {
  background-image: linear-gradient(0deg, #24262b 50%, transparent 50%);
  display: flex;
  justify-content: center;
  div.contact-wrapper {
    display: flex;
    min-width: 360px;
    background-color: #2c3035;
    flex-wrap: wrap;
    align-items: center;
    width: 50%;
    flex-direction: row;
    justify-content: center;
    //margin-left: 27%;
    div.column {
      display: flex;
      min-width: 300px;
      flex-wrap: wrap;
      flex-direction: column;
      align-items: center;
      width: 47%;
      margin-right: 5%;
      margin-top: 5%;
      span {
        color: white;
        font-size: 2.2em;
        &.tel {
          color: $primary;
        }
      }
    }
    div.logo {
      width: 30%;
      img {
        height: 100%;
        width: 100%;
      }
    }
    .contact-button {
      font-size: 1em;
      background-color: $primary;
      border-radius: 50px;
      padding: 1em;
      margin-top: 1em;
    }
  }
}

.footer-container {
  background-color: #24262b;
}

.container {
  max-width: 1170px;

  &.alter {
    width: 66%;
  }

  .row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
  .footer-col {
    min-width: 237px;
    width: 30%;
    .footer-quote {
      color: #ffffff;
      font-size: 1.5em;
    }
    .footer-name {
      color: $primary;
      font-size: 2em;
    }
    h4 {
      font-size: 18px;
      color: #ffffff;
      text-transform: capitalize;
      margin-bottom: 35px;
      font-weight: 500;
      position: relative;

      &::before {
        content: '';
        position: absolute;
        left: 0;
        bottom: -10px;
        background-color: $primary;
        height: 2px;
        box-sizing: border-box;
        width: 50px;
      }
    }
    div {
      p {
        color: #ffffff;
      }
    }

    a {
      font-size: 16px;
      text-transform: capitalize;
      color: #ffffff;
      text-decoration: none;
      font-weight: 300;
      color: #bbbbbb;
      display: block;
      transition: all 0.3s ease;

      &:hover {
        color: #ffffff;
        padding-left: 8px;
      }
    }
    &.quote {
      width: 33%;
    }
  }
}

/*responsive*/
@media only screen and (max-width: 1024px) {
  .contact-wrapper {
    .column {
      a {
        span {
          font-size: 1.9rem !important;
        }
      }
    }
  }
  .footer-col {
    margin-bottom: 2em !important;
  }
}
</style>
